com.buschmais.jqassistant.plugin.java.api.model

## Interface AnnotationValueDescriptor

- All Superinterfaces:
    AnnotationDescriptor, com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor, TypedDescriptor, com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<List<com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<?>>>

      public interface AnnotationValueDescriptor
      extends TypedDescriptor, com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<List<com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<?>>>, AnnotationDescriptor

  Represents an annotation value.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<?>>` | `getValue()`
    `void` | `setValue(List<com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<?>> value)`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.TypedDescriptor

      `getType, setType`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

      `getName, setName`

- - ### Method Detail

    - #### getValue

          @Relation(value="HAS")
          List<com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<?>> getValue()

      Specified by:
        `getValue` in interface `com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<List<com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<?>>>`

    - #### setValue

          void setValue(List<com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<?>> value)

      Specified by:
        `setValue` in interface `com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<List<com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<?>>>`

Copyright © 2015 buschmais GbR. All rights reserved.